Signed-off-by: Guillermo Rodriguez <[email protected]>
---
projectroot/etc/init.d/weston-init | 29 +++++++++++++++++++++++++++++
rules/weston.make | 4 ++++
2 files changed, 33 insertions(+)
create mode 100644 projectroot/etc/init.d/weston-init
diff --git a/projectroot/etc/init.d/weston-init
b/projectroot/etc/init.d/weston-init
new file mode 100644
index 000000000..fa6b96b07
--- /dev/null
+++ b/projectroot/etc/init.d/weston-init
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+start() {
+ OPENVT_ARGS="-c 1 -s"
+ WESTON_ARGS="--log=/var/log/weston.log"
+
+ test -f /etc/default/weston-init && . /etc/default/weston-init
+
+ if [ -z "$XDG_RUNTIME_DIR" ]; then
+ export XDG_RUNTIME_DIR=/run/xdg
+ mkdir -p "$XDG_RUNTIME_DIR"
+ chmod 0700 "$XDG_RUNTIME_DIR"
+ fi
+
+ echo "Starting Weston"
+ exec openvt $OPENVT_ARGS -- weston $WESTON_ARGS
+}
+
+stop() {
+ echo "Stopping Weston"
+ killall -q weston
+}
+
+case $1 in
+ start|stop) $1 ;;
+ restart) stop ; sleep 1 ; start ;;
+
+ *) echo "Usage: $0 {start|stop|restart}"; exit 1 ;;
+esac
diff --git a/rules/weston.make b/rules/weston.make
index 4c38fd2d1..406b0fd48 100644
--- a/rules/weston.make
+++ b/rules/weston.make
@@ -170,6 +170,10 @@ endif
ifdef PTXCONF_WESTON_SYSTEMD
@$(call install_lib, weston, 0, 0, 0644, weston/systemd-notify)
endif
+ifdef PTXCONF_INITMETHOD_BBINIT
+ @$(call install_alternative, weston, 0, 0, 0755,
/etc/init.d/weston-init)
+ @$(call install_link, weston, ../init.d/weston-init,
/etc/rc.d/S92weston-init)
+endif
@$(call install_copy, weston, 0, 0, 0755, -,
/usr/libexec/weston-simple-im)
@$(call install_copy, weston, 0, 0, 0755, -,
/usr/libexec/weston-desktop-shell)
--
2.21.0
_______________________________________________
ptxdist mailing list
[email protected]